rails_apps_composer 3.1.35 → 3.1.36

This diff has not been reviewed by any users.
Sign up to get free protection for your applications and to get access to all the features.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
2
  SHA256:
3
- metadata.gz: 988b1eda6b2f140df21c6d55eb14f18625fb5a2eb46cd5117cbfa30fd82dd79b
4
- data.tar.gz: 15d9f76c56f7915c970de39f25550d666e28b870d4bf1249a6b144ca42015ea8
3
+ metadata.gz: 271e13b068ae97073881707000cb6ca23072d59aeb09c9f2a85c57dfae7e8af8
4
+ data.tar.gz: 78e6c6a7897ed4b74ea6dd0729c5f4d751714cdf6e8dbb663b53c55fbd01ae2e
5
5
  SHA512:
6
- metadata.gz: 11c358a393977f107520907a75aff3394b04ec16e48121a856984fd6737a0164a1bf7d5ec901842d701dd9bc53de6de1339f2b8c59f77eb28d6a4770fc1d700d
7
- data.tar.gz: 55fefbed73578aacb5699b5dda8d1c24821e194e178c6d02fa4889165abec2357a2eaf8eb20e463361dc271975061ba8d4e1d8e3316612f683157bab675c29be
6
+ metadata.gz: ba50edfc446c16bc5ae0609e632dade69e2f991c721758df3ac532c710d62729d6ec9e6e1085d6f7cf67f29a07089eeddff486c20eafde3a11f1f3590812b3a3
7
+ data.tar.gz: 7fd390bb47530c939d7889eaedc9c0c8b5cde9ecda3e592dde26dea63e601202e315f3687e4b473fbc7d13711704f4bac753aeefa618fa2baa8fef9d960477d3
@@ -18,6 +18,7 @@ requires: [git, railsapps,
18
18
  rails_devise,
19
19
  rails_devise_roles,
20
20
  rails_devise_pundit,
21
+ rails_shortcut_app,
21
22
  rails_signup_download,
22
23
  rails_signup_thankyou,
23
24
  rails_mailinglist_activejob,
@@ -0,0 +1,43 @@
1
+ # Application template recipe for the rails_apps_composer. Change the recipe here:
2
+ # https://github.com/RailsApps/rails_apps_composer/blob/master/recipes/rails_shortcut_app.rb
3
+
4
+ if prefer :apps4, 'rails-shortcut-app'
5
+ prefs[:authentication] = 'devise'
6
+ prefs[:authorization] = 'roles'
7
+ prefs[:dashboard] = 'none'
8
+ prefs[:ban_spiders] = false
9
+ prefs[:better_errors] = true
10
+ prefs[:database] = 'sqlite'
11
+ prefs[:deployment] = 'none'
12
+ prefs[:devise_modules] = false
13
+ prefs[:dev_webserver] = 'puma'
14
+ prefs[:email] = 'none'
15
+ prefs[:frontend] = 'bootstrap3'
16
+ prefs[:layouts] = 'none'
17
+ prefs[:pages] = 'none'
18
+ prefs[:github] = false
19
+ prefs[:git] = true
20
+ prefs[:local_env_file] = false
21
+ prefs[:prod_webserver] = 'same'
22
+ prefs[:pry] = false
23
+ prefs[:pages] = 'about+users'
24
+ prefs[:templates] = 'erb'
25
+ prefs[:tests] = 'none'
26
+ prefs[:locale] = 'none'
27
+ prefs[:analytics] = 'none'
28
+ prefs[:rubocop] = false
29
+ prefs[:disable_turbolinks] = true
30
+ prefs[:rvmrc] = true
31
+ prefs[:form_builder] = false
32
+ prefs[:jquery] = 'gem'
33
+ end
34
+
35
+ __END__
36
+
37
+ name: rails_shortcut_app
38
+ description: "rails-shortcut-app starter application"
39
+ author: RailsApps
40
+
41
+ requires: [core]
42
+ run_after: [git]
43
+ category: apps
@@ -31,7 +31,8 @@ when "5"
31
31
  ["rails-stripe-coupons", "rails-stripe-coupons"]]
32
32
  when 'contributed_app'
33
33
  prefs[:apps4] = multiple_choice "Choose a starter application.",
34
- [["rails-signup-thankyou", "rails-signup-thankyou"]]
34
+ [["rails-shortcut-app", "rails-shortcut-app"],
35
+ ["rails-signup-thankyou", "rails-signup-thankyou"]]
35
36
  end
36
37
  when "3"
37
38
  say_wizard "Please upgrade to Rails 4.1 or newer."
data/version.rb CHANGED
@@ -1,3 +1,3 @@
1
1
  module RailsWizard
2
- VERSION = "3.1.35"
2
+ VERSION = "3.1.36"
3
3
  end
metadata CHANGED
@@ -1,14 +1,14 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: rails_apps_composer
3
3
  version: !ruby/object:Gem::Version
4
- version: 3.1.35
4
+ version: 3.1.36
5
5
  platform: ruby
6
6
  authors:
7
7
  - Daniel Kehoe
8
8
  autorequire:
9
9
  bindir: bin
10
10
  cert_chain: []
11
- date: 2018-05-16 00:00:00.000000000 Z
11
+ date: 2018-09-23 00:00:00.000000000 Z
12
12
  dependencies:
13
13
  - !ruby/object:Gem::Dependency
14
14
  name: i18n
@@ -136,6 +136,7 @@ files:
136
136
  - recipes/rails_foundation.rb
137
137
  - recipes/rails_mailinglist_activejob.rb
138
138
  - recipes/rails_omniauth.rb
139
+ - recipes/rails_shortcut_app.rb
139
140
  - recipes/rails_signup_download.rb
140
141
  - recipes/rails_signup_thankyou.rb
141
142
  - recipes/rails_stripe_checkout.rb